Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1767134 - Update upgrade guide to specify to update gofer separately
Summary: Update upgrade guide to specify to update gofer separately
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Documentation
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Melanie Corr
QA Contact: Sergei Petrosian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 18:28 UTC by Melanie Corr
Modified: 2019-11-05 08:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 08:29:37 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1653040 0 unspecified CLOSED Update gofer with other packages will cause many duplicate packages issue in yum. 2023-03-24 14:23:02 UTC

Description Melanie Corr 2019-10-30 18:28:04 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/upgrading_and_updating_red_hat_satellite/upgrading_puppet-1#upgrading_satellite_hosts_to_puppet_5

Section Number and Name: 4.3. Upgrading Satellite Hosts to Puppet 5

Describe the issue: There is a bug at the moment that means updating katello-agent pulls in gofer, which then corrupts the process of updating

Suggestions for improvement: Add to the docs to update gofer first so that it does not get corrupted by yum update until the bug is resolved. 

Additional information: 

https://access.redhat.com/solutions/3724271

https://bugzilla.redhat.com/show_bug.cgi?id=1653040

Comment 1 Melanie Corr 2019-11-01 14:12:40 UTC
I have a draft doc ready for publication but have asked a question on the mailing list and am waiting response.

Comment 7 Melanie Corr 2019-11-05 08:29:37 UTC
These changes are now live on the Customer Portal: 

Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/upgrading_and_updating_red_hat_satellite/upgrading_puppet-1#upgrading_satellite_hosts_to_puppet_5


Thanks, 

Melanie


Note You need to log in before you can comment on or make changes to this bug.